# Get Booking Session Menu List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingSessionList`

Get a list of booking session menus.

#### Request Body

| Name      | Type    | Description                                                                                                       |
| --------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| venueId   | integer | The unique id of the venue to which the bookings belongs                                                          |
| bookingId | integer | The unique id of the booking to which the session belongs                                                         |
| sessionId | integer | The unique id of the session to which the menu belongs                                                            |
| orderBy   | string  | Order the response by column                                                                                      |
| orderDir  | string  | Order direction the reponse by column                                                                             |
| start     | integer | The starting result of the page. Note this is zero based (i.e. sending start=0 will start from the first result.) |
| perPage   | integer | The number of bookings session to get in a single call                                                            |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 100,
        "count": 1
    },
    "results": [
        {
            "id": "495",
            "venueId": "1",
            "bookingId": "313",
            "sessionId": "519",
            "menuId": "15",
            "menuVenueId": "1",
            "name": "Session menu of items",
            "minAttendeesGuaranteed": 10,
            "sameAsSessionTime": false,
            "startTime": null,
            "endTime": null,
            "includeInPackage": false,
            "bookingPackageId": null,
            "costcenterId": 1,
            "cost": 18,
            "excludedTaxIds": [],
            "items": [
                {
                    "_type": "item",
                    "id": 58,
                    "name": "menu item 1",
                    "description": "",
                    "quantity": 2,
                    "price": 2,
                    "itemCost": 2,
                    "isOptional": 0,
                    "servingTime": null
                },
                {
                    "_type": "item",
                    "id": 59,
                    "name": "menu item 2",
                    "description": "",
                    "quantity": 3,
                    "price": 2,
                    "itemCost": 2,
                    "isOptional": 1,
                    "servingTime": null
                },
                {
                    "_type": "item",
                    "id": 60,
                    "name": "menu item 3",
                    "description": "",
                    "quantity": 4,
                    "price": 2,
                    "itemCost": 2,
                    "isOptional": 1,
                    "servingTime": null
                }
            ],
            "sortOrder": 2,
            "createdDate": "2022-03-24 06:11:07 UTC",
            "modifiedDate": "2022-03-28 00:48:01 UTC",
            "_translations_": {
                "da_DK": {
                    "name": ""
                },
                "de_DE": {
                    "name": ""
                },
                "en_GB": {
                    "name": ""
                },
                "en_US": {
                    "name": "menu of items"
                },
                "es_ES": {
                    "name": ""
                },
                "fr_FR": {
                    "name": ""
                },
                "ms_MY": {
                    "name": ""
                },
                "nl_NL": {
                    "name": ""
                },
                "th_TH": {
                    "name": ""
                }
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](https://github.com/ivvycode/apidocs/blob/master/venues/getting-started/interpreting-the-response/collections.md) of booking session menu to which the user has access. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

### Example Request

`Get a specific venue’s Booking Session List`

```javascript
{
    "perPage" : 100,
    "venueId" : 1,
    "bookingId" : 313
}
```

### Booking Session Menu

| Property               | Type                               | Required | Description                                                                                                                                                                                                |
| ---------------------- | ---------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | string                             | optional | The unique id of the booking session menu to update                                                                                                                                                        |
| venueId                | string                             | required | The unique id of the venue to which the booking session menu belongs                                                                                                                                       |
| bookingId              | string                             | required | The unique id of the booking to which the booking session menu belongs                                                                                                                                     |
| sessionId              | string                             | optional | The unique id of the session to which the booking session menu belongs                                                                                                                                     |
| menuId                 | string                             | optional | The menu id from venue setup                                                                                                                                                                               |
| menuVenueId            | string                             | optional | The unique id of venue to which menu belongs                                                                                                                                                               |
| name                   | mixed                              | optional | The name of the booking session menu                                                                                                                                                                       |
| minAttendeesGuaranteed | mixed                              | optional | The total attendees of the booking session menu                                                                                                                                                            |
| sameAsSessionTime      | boolean                            | optional | Whether or not to make start time based on session                                                                                                                                                         |
| startTime              | string                             | optional | The start time of the booking session menu                                                                                                                                                                 |
| endTime                | string                             | optional | The end time of the booking session menu                                                                                                                                                                   |
| includeInPackage       | boolean                            | optional | Whether or not the menu is included in the package                                                                                                                                                         |
| bookingPackageId       | integer                            | optional | The booking package id in which the booking session menu is included. Required when includeInPackage is true                                                                                               |
| costcenterId           | integer                            | optional | The cost center id to which the booking session menu belongs                                                                                                                                               |
| cost                   | number                             | optional | The cost of the booking session menu                                                                                                                                                                       |
| excludedTaxIds         | array of integers                  | optional | The excluded cost tax ids applied to the price of the booking session menu. Ignored when selected menu type is multi cost per person. Use costPerPersonExcludedTaxIds of [Costcenter](#costcenter) instead |
| costcenters            | array of [Costcenter](#costcenter) | optional | Cost breakdown of a menu when selected menu type is multi cost per person                                                                                                                                  |
| items                  | array                              | optional | The items data of the session menu. See [Menu Item](#group-menu-item) or [Group Menu Items](#group-menu-item) section for details of each item                                                             |
| sortOrder              | integer                            | optional | The sort order of the booking session menu                                                                                                                                                                 |
| createdDate            | string                             | optional | The date and time when the session menu was created                                                                                                                                                        |
| modifiedDate           | string                             | optional | The date and time when the session menu was last modified                                                                                                                                                  |
| \_translations\_       | mixed                              | optional | The translations data of the session menu                                                                                                                                                                  |

### Menu Item

A menu item is an object with the following details.

| Property    | Type    | Required | Description                                       |
| ----------- | ------- | -------- | ------------------------------------------------- |
| \_type      | string  | optional | The type of an session menu item                  |
| id          | integer | required | The unique id of the booking session menu item    |
| name        | string  | optional | The name of the booking session menu item         |
| description | string  | optional | The description of the booking session menu item  |
| quantity    | integer | optional | The quantity of the booking session menu item     |
| price       | double  | optional | The price of the booking session menu item        |
| itemCost    | double  | optional | The cost of the booking session menu item         |
| isOptional  | boolean | optional | Whether or not booking session menu item          |
| servingTime | string  | optional | The serving time of the booking session menu item |

### Group Menu Item

| Property        | Type    | Required | Description                                                                                                  |
| --------------- | ------- | -------- | ------------------------------------------------------------------------------------------------------------ |
| \_type          | string  | optional | The type of an session menu item group                                                                       |
| id              | string  | optional | The unique id of the booking session menu item group                                                         |
| name            | string  | optional | The name of the booking session menu item group                                                              |
| marketplaceName | string  |          | optional                                                                                                     |
| minSelection    | integer |          | optional                                                                                                     |
| maxSelection    | integer | optional | The min selection of the booking session menu item group                                                     |
| servingTime     | string  | optional | The serving time of the booking session menu item                                                            |
| items           | array   | optional | The items data of the session menu group. See [Menu Item](#group-menu-item) section for details of each item |

### Costcenter

| Property                    | Type     | Required          | Description                                                       |
| --------------------------- | -------- | ----------------- | ----------------------------------------------------------------- |
| costcenterId                | integer  | required          | The id of costcenter                                              |
| costPerPerson               | double   | required          | The cost per person value of a costcenter                         |
| costPerPersonExcludedTaxIds | optional | array of integers | The excluded cost tax ids applied to the price of this costcenter |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-session-menu-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
